mbed TLS v2.23.0

Data Fields
psa_aead_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_aead_operation_s:
[legend]

## Data Fields
psa_algorithm_t | alg
unsigned int | key_set: 1
unsigned int | iv_set: 1
uint8_t | iv_size
uint8_t | block_size
union {
unsigned dummy
mbedtls_cipher_context_t cipher
} | ctx

## Detailed Description

Definition at line 179 of file crypto_struct.h.

## Field Documentation

## ◆ alg

psa_algorithm_t psa_aead_operation_s::alg

Definition at line 181 of file crypto_struct.h.

## ◆ block_size

uint8_t psa_aead_operation_s::block_size

Definition at line 185 of file crypto_struct.h.

## ◆ cipher

mbedtls_cipher_context_t psa_aead_operation_s::cipher

Definition at line 189 of file crypto_struct.h.

## ◆ ctx

union { ... } psa_aead_operation_s::ctx

## ◆ dummy

unsigned psa_aead_operation_s::dummy

Definition at line 188 of file crypto_struct.h.

## ◆ iv_set

unsigned int psa_aead_operation_s::iv_set

Definition at line 183 of file crypto_struct.h.

## ◆ iv_size

uint8_t psa_aead_operation_s::iv_size

Definition at line 184 of file crypto_struct.h.

## ◆ key_set

unsigned int psa_aead_operation_s::key_set

Definition at line 182 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h